Uses of Class
com.bluebell.greenhouse.platform.models.api.dto.symbol.analysis.SymbolAnalysisQueryParameters
Packages that use SymbolAnalysisQueryParameters
Package
Description
Contains controllers for handling symbols and equities.
Contains the symbol orchestrators.
Contains DTOs for symbol analysis API responses.
Contains validation helpers for symbol analysis workflows.
-
Uses of SymbolAnalysisQueryParameters in com.bluebell.greenhouse.planter.controllers.symbol
Methods in com.bluebell.greenhouse.planter.controllers.symbol with parameters of type SymbolAnalysisQueryParametersModifier and TypeMethodDescriptionorg.springframework.http.ResponseEntity<SymbolAnalysisEventSummaryDTO> SymbolAnalysisApiController.getEventSummary(SymbolAnalysisQueryParameters queryParameters) Returns the symbol analysis event summary.org.springframework.http.ResponseEntity<List<SymbolAnalysisInsightDTO>> SymbolAnalysisApiController.getInsights(SymbolAnalysisQueryParameters queryParameters) Returns generated symbol analysis insights.org.springframework.http.ResponseEntity<SymbolAnalysisMoveProfileDTO> SymbolAnalysisApiController.getMoveProfile(SymbolAnalysisQueryParameters queryParameters) Returns the symbol analysis move profile.org.springframework.http.ResponseEntity<SymbolAnalysisOverviewDTO> SymbolAnalysisApiController.getOverview(SymbolAnalysisQueryParameters queryParameters) Returns the symbol analysis overview.org.springframework.http.ResponseEntity<SymbolAnalysisPriceSeriesDTO> SymbolAnalysisApiController.getPriceSeries(SymbolAnalysisQueryParameters queryParameters) Returns the symbol analysis price series.org.springframework.http.ResponseEntity<SymbolAnalysisReturnDistributionDTO> SymbolAnalysisApiController.getReturnDistribution(SymbolAnalysisQueryParameters queryParameters) Returns the symbol analysis return distribution.org.springframework.http.ResponseEntity<SymbolAnalysisSentimentComparisonDTO> SymbolAnalysisApiController.getSentimentComparison(SymbolAnalysisQueryParameters queryParameters) Returns the symbol analysis sentiment comparison.org.springframework.http.ResponseEntity<SymbolAnalysisSignalSummaryDTO> SymbolAnalysisApiController.getSignalSummary(SymbolAnalysisQueryParameters queryParameters) Returns the symbol analysis signal summary.org.springframework.http.ResponseEntity<SymbolAnalysisSnapshotDTO> SymbolAnalysisApiController.getSnapshot(SymbolAnalysisQueryParameters queryParameters) Returns the aggregate symbol analysis snapshot.org.springframework.http.ResponseEntity<SymbolAnalysisTrendSummaryDTO> SymbolAnalysisApiController.getTrendSummary(SymbolAnalysisQueryParameters queryParameters) Returns the symbol analysis trend summary. -
Uses of SymbolAnalysisQueryParameters in com.bluebell.greenhouse.planter.orchestrators.symbol
Methods in com.bluebell.greenhouse.planter.orchestrators.symbol with parameters of type SymbolAnalysisQueryParametersModifier and TypeMethodDescriptionSymbolAnalysisOrchestrator.getEventSummary(SymbolAnalysisQueryParameters queryParameters) Obtains the analysis event summary.SymbolAnalysisOrchestrator.getInsights(SymbolAnalysisQueryParameters queryParameters) Obtains the analysis insights.SymbolAnalysisOrchestrator.getMoveProfile(SymbolAnalysisQueryParameters queryParameters) Obtains the analysis move profile.SymbolAnalysisOrchestrator.getOverview(SymbolAnalysisQueryParameters queryParameters) Obtains the analysis overview.SymbolAnalysisOrchestrator.getPriceSeries(SymbolAnalysisQueryParameters queryParameters) Obtains the analysis price series.SymbolAnalysisOrchestrator.getReturnDistribution(SymbolAnalysisQueryParameters queryParameters) Obtains the analysis return distribution.SymbolAnalysisOrchestrator.getSentimentComparison(SymbolAnalysisQueryParameters queryParameters) Obtains the analysis sentiment comparison.SymbolAnalysisOrchestrator.getSignalSummary(SymbolAnalysisQueryParameters queryParameters) Obtains the analysis signal summary.SymbolAnalysisOrchestrator.getSnapshot(SymbolAnalysisQueryParameters queryParameters) Obtains the analysis snapshot.SymbolAnalysisOrchestrator.getTrendSummary(SymbolAnalysisQueryParameters queryParameters) Obtains the analysis trend summary. -
Uses of SymbolAnalysisQueryParameters in com.bluebell.greenhouse.platform.models.api.dto.symbol.analysis
Methods in com.bluebell.greenhouse.platform.models.api.dto.symbol.analysis with parameters of type SymbolAnalysisQueryParametersModifier and TypeMethodDescriptionstatic SymbolAnalysisRequestSymbolAnalysisRequest.from(SymbolAnalysisQueryParameters queryParameters) Builds aSymbolAnalysisRequestfrom bound query parameters. -
Uses of SymbolAnalysisQueryParameters in com.bluebell.greenhouse.radicle.validation.symbol.analysis
Methods in com.bluebell.greenhouse.radicle.validation.symbol.analysis with parameters of type SymbolAnalysisQueryParametersModifier and TypeMethodDescriptionstatic voidSymbolAnalysisValidator.validateSymbolAnalysisQueryParameters(SymbolAnalysisQueryParameters queryParameters) Validates symbol analysis query parameters before they are translated into a request model.